Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSDestinationMBean

All Known Subinterfaces:
  JMSQueueMBean, JMSTopicMBean

public interface JMSDestinationMBean
extends JMSTemplateMBean, JMSConstants

A JMS Destination. This can be a queue or a topic.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getJNDIName()` Returns the JNDI name of the destination.
`java.lang.String` | `getStoreEnabled()` One of "true", "false", or "default".
`JMSTemplateMBean` | `getTemplate()` Return the template used to derive this destination
`void` | `setJNDIName(java.lang.String name)` Set the JNDI name of a destination.
`void` | `setStoreEnabled(java.lang.String storeEnabled)` Enable/disable storing persistent (durable) messages for this destination using the server's store.
`void` | `setTemplate(JMSTemplateMBean template)` Set the template for this destination

Methods inherited from interface weblogic.management.configuration.JMSTemplateMBean
`addDestination, addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getDestinations, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getTimeToLiveOverride, removeDestination, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setDeliveryModeOverride, setDestinationKeys, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTemplate

    public JMSTemplateMBean getTemplate()

  Return the template used to derive this destination

### setTemplate

    public void setTemplate(JMSTemplateMBean template)
                     throws javax.management.InvalidAttributeValueException

  Set the template for this destination

### getJNDIName

    public java.lang.String getJNDIName()

  Returns the JNDI name of the destination.

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Set the JNDI name of a destination.

### getStoreEnabled

    public java.lang.String getStoreEnabled()

  One of "true", "false", or "default". See setStoreEnabled() for more information.

### setStoreEnabled

    public void setStoreEnabled(java.lang.String storeEnabled)
                         throws javax.management.InvalidAttributeValueException

  Enable/disable storing persistent (durable) messages for this destination using the server's store.

         "true"     Enabled, configuration error if server has no associated store.
         "false"    Disabled, peristent may be downgraded to non-persistent.
         "default"  Enabled if server has associated store, disabled otherwise.

  Default Value: weblogic.management.configuration.JMSConstants.STORE_ENABLED_DEFAULT
  Legal Values: weblogic.management.configuration.JMSConstants.STORE_ENABLED_FALSE,weblogic.management.configuration.JMSConstants.STORE_ENABLED_TRUE,STORE_ENABLED_DEFAULT FIXME pcal 02-Oct-00 Something is broken with mbeanc - it isn't picking up the legal values unless the classes are fully-specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD